
namespace Stat.Cache
{
    /// <summary>
    /// 清除缓存
    /// </summary>
    public interface IRemoveCache
    {
        /// <summary>
        /// 系统重启
        /// </summary>
        void Restart();
        /// <summary>
        /// 清除所有 Cache 缓存
        /// </summary>
        void RemoveAllCache();
        /// <summary>
        /// 获取所有的缓存
        /// </summary>
        /// <returns></returns>
        System.Collections.IDictionaryEnumerator GetAllCache();
        /// <summary>
        /// 清除广告缓存
        /// </summary>
        /// <returns></returns>
        void RemoveAdCache();
        /// <summary>
        /// 清除友情链接缓存
        /// </summary>
        void RemoveFrendLinkCache();

        /// <summary>
        /// 清除 公司 信息 缓存
        /// </summary>
        void RemoveCompanyCache();
        /// <summary>
        /// 清除 反馈信息 缓存
        /// </summary>
        void RemoveMessageCache();
        /// <summary>
        /// 清除 新闻 缓存
        /// </summary>
        void RemoveNewsCache();
        /// <summary>
        /// 清除 公告 缓存
        /// </summary>
        void RemoveNotifyCache();
        /// <summary>
        /// 清除 系统 配置 缓存
        /// </summary>
        void RemoveSysCache();
        /// <summary>
        /// 清除 导航条 缓存
        /// </summary>
        void RemoveNavigateCache();
        /// <summary>
        /// 清除某站点信息缓存
        /// </summary>
        void RemoveWebsiteCache(int webid);
        /*--------------------------------------------------*/

        /// <summary>
        /// 清除系统配置缓存
        /// </summary>
        void RemoveConfigCache();


        /// <summary>
        /// 清除某地区文章缓存
        /// </summary>
        /// <returns></returns>
        void RemoveAreaCache(int areaID);
    }
}
